Zum Inhalt springen
meniodevelopermenio DashboardVorschau

POST reservations · Checkout API

POST reservations

Checkout API Profiles
POST/api/v1/profiles/{reference}/balance/reservations

[Coming soon] Postponement support.

Creates a new balance reservation.

Parameter

referencestringErforderlich

The unique token identifier or an OTP of the profile.

Request-Header

Content-Type
application/json; charset=utf-8
Authorization
Token <accessToken>
Idempotency-Key
<idempotencyKey>
Security-Token
<securityToken>
Timestamp
<timestamp>
Originaler Blueprint-Ausschnitt
API Blueprint
### POST reservations [POST /api/v1/profiles/{reference}/balance/reservations]

Creates a new balance reservation.

+ Parameters
    + reference (string, required) - The unique token identifier or an OTP of the profile.

+ Request (application/json; charset=utf-8)

    + Headers

            Authorization: Token <accessToken>
            Idempotency-Key: <idempotencyKey>
            Security-Token: <securityToken>
            Timestamp: <timestamp>
            
    + Attributes (object)
        + amount: 500 (number, required) - The amount to be reserved from the profile's balance, expressed in the currency's minor unit.
        + currency: EUR (string, required) - The currency of the amount to be reserved from the profile's balance.
        + releaseTimestamp: `2025-12-10T15:04:55Z` (string) - The timestamp at which the reservation will be released, causing the balance to become freely available again.

    + Body

            {
                "amount": 500,
                "currency": "EUR",
                "releaseTimestamp": "2025-12-10T15:04:55Z"
            }
            
    + Schema

            {
                "type": "object",
                "properties": {
                    "amount": {
                        "type": "number"
                    },
                    "currency": {
                        "type": "string"
                    },
                    "releaseTimestamp": {
                        "type": "string",
                        "format": "date-time"
                    }
                }
            }
            
+ Response 200 (application/json; charset=utf-8)

    + Attributes (object)
        + amount: 500 (number, required) - The reserved amount from the profile's balance, expressed in the currency's minor unit.
        + currency: EUR (string, required) - The currency of the reserved amount from the profile's balance.
        + reference: `906a314d-d839-4b34-a629-37d15a4c343a` (string, required) - The unique identifier of the balance reservation.
        + releaseTimestamp: `2025-11-20T16:45:32Z` (string, required) - The expiration timestamp of the balance reservation.

    + Body

            {
                "amount": 500,
                "currency": "EUR",
                "reference": "906a314d-d839-4b34-a629-37d15a4c343a",
                "releaseTimestamp": "2025-11-20T16:45:32Z"
            }
            
    + Schema

            {
                "type": "object",
                "properties": {
                    "amount": {
                        "type": "number"
                    },
                    "currency": {
                        "type": "string",
                    },
                    "reference": {
                        "type": "number",
                        "format": "uuid"
                    },
                    "releaseTimestamp": {
                        "type": "string",
                        "format": "date-time"
                    }
                }
            }